--- old/usr/src/lib/libc/port/locale/mbsrtowcs.c	2014-12-19 21:35:52.825710151 +0300
+++ new/usr/src/lib/libc/port/locale/mbsrtowcs.c	2014-12-19 21:35:52.862153475 +0300
@@ -39,6 +39,11 @@
 mbsrtowcs_l(wchar_t *_RESTRICT_KYWD dst, const char **_RESTRICT_KYWD src,
     size_t len, mbstate_t *_RESTRICT_KYWD ps, locale_t loc)
 {
+	static mbstate_t mbs;
+
+	if (ps == NULL)
+		ps = &mbs;
+
 	return (loc->ctype->lc_mbsnrtowcs(dst, src, ULONG_MAX, len, ps));
 }
 
